Skip to main content
`Ctrl`+`K`

# MatICCFactor

Performs in-place incomplete Cholesky factorization of matrix.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatICCFactor(Mat mat, IS row, const MatFactorInfo *info)

Collective

## Input Parameters

- mat - the matrix

- row - row/column permutation

- info - information on desired factorization process

## Notes

Probably really in-place only when level of fill is zero, otherwise allocates new space to store factored matrix and deletes previous memory.

Most users should employ the `KSP` interface for linear solvers instead of working directly with matrix algebra routines such as this. See, e.g., `KSPCreate()`.

## Developer Note

The Fortran interface is not autogenerated as the interface definition cannot be generated correctly [due to `MatFactorInfo`]

## See Also

Matrices, `Mat`, `MatFactorInfo`, `MatGetFactor()`, `MatICCFactorSymbolic()`, `MatLUFactorNumeric()`, `MatCholeskyFactor()`

## Level

developer

## Location

src/mat/interface/matrix.c

## Implementations

MatICCFactor_SeqSBAIJ() in src/mat/impls/sbaij/seq/sbaij.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages